<?php
$b_Control = true;
if( $o_VTA_DocumentoBN->getIdConcat() )
{
    $b_Control = false;
}
?>
<script>
mostrarCargaImg = function(){ $('#s_ImagenLoad')[0].style.display = 'inline'; }
ocultarCargaImg = function(){ $('#s_ImagenLoad')[0].style.display = 'none'; }

mostrarMensajeError = function( s_MensajeError )
{
    $( "#resultContent" ).html( '<div id="mensaje_error_content" class="error">' + s_MensajeError + '</div>' );
    setTimeout( function(){ $( "#mensaje_error_content" ).fadeOut( 800 ).fadeIn( 800 ).fadeOut( 500 ).fadeIn( 500 ).fadeOut( 300 ); }, 4000 );
}
</script>
<script>
ejecutarGuardar = function()
{
    ///////////////////////////////////////////////////////////////
    //NC
    if( $( "#IdTipoDocumento" ).val() == "NC" )  
    {
        if( !$( '#NaceAnulado' ).is( ":checked" ) )
        {
            alert( "Solo se permite generar Nota de Credito con un estado Anulado." );
            return false;
        }
    }
    ///////////////////////////////////////////////////////////////
    mostrarCargaImg();
    var strFormSerialize = $( 'form' ).serialize();
    executeAjaxJson( 
                        "<?php echo buildUrl( 'pro/saveAddEdit', "" ) ?>", 
                        strFormSerialize,
                        function( o_json )
                        {
                            console.log( o_json );
                            ocultarCargaImg();
                            if( o_json.error )
                            {
                                mostrarMensajeError( o_json.mensaje_error );
                                return false;
                            }
                            //return false;
                            if( o_json.type_sub == "1" )
                            {
                                location.href = "<?=buildUrl( 'pro/detailVta', "s_TipoProc=upd&i_Id=" )?>" + o_json.id;
                            }
                            else
                            {
                                location.href = "<?=buildUrl( 'pro/list', "" )?>";
                            }
                        } 
                   );
}

buscarCambiosOrden = function()
{
    var orden = trim( $( "#txt_orden" ).val() );
    var orden_ref = trim( $( "#orden_ref" ).val() );

    var b_control = false;

    if( orden_ref != "" )
    {
        if( orden != orden_ref )
        {
            regresarValoresPorDefault();
            limpiarValores();
        }
    }
}

regresarValoresPorDefault = function()
{
    $( "#orden_id" ).val( "" );
    $( "#orden_ref" ).val( "" );
    $( "#txt_orden" ).val( "" );

    $( "#btnGuardarFact" ).show();
    $( "#btnGuardarFactPorOrden" ).hide();
    $( "#btnEscanearSerie" ).hide();
}

buscarOrdenVenta = function()
{
    var orden = trim( $( "#txt_orden" ).val() );

    if( $( "#IdTipoDocumento" ).val() == "" )
    {
    	mostrarMensajeError( "Debe de Seleccionar el Tipo de Comprobante primero." );
        return false;
    }
    
    if( orden == "" )
    {
    	mostrarMensajeError( "Ingrese numero de Orden." );
        return false;
    }
    
    blockContent( 'content_form' );
    var param = "orden=" + orden;
	executeAjaxJson
    ( 
        "<?php echo buildUrl( 'pro/buscarOrdenVenta', "" ) ?>", 
        param,
        function( o_json )
        {
        	unBlockContent( 'content_form' );
            pr( o_json );
            if( o_json.error )
            {
            	limpiarValores();
                mostrarMensajeError( o_json.mensaje_error );

                $( "#btnGuardarFact" ).show();
                
                return false;
            }

            //aqui es para recuperar la info del cliente
            $( "#ClienteNumero" ).val( o_json.ClienteId );
            buscarInfoCliente();

            //aqui se guarda el id orden, el nro de orden de referencia
            $( "#orden_id" ).val( trim( o_json.OrdenId ) );
            $( "#orden_ref" ).val( trim( orden ) );

            //aqui se cambia el boton para guardar la factura y asi usar el metodo para este caso
            $( "#btnGuardarFact" ).hide();
            $( "#btnGuardarFactPorOrden" ).show();

            //se setea los varos en los campor correspondientes
            $( "#Comentario" ).val( o_json.OrdenObs );
            $( "#MonedaDocumento" ).val( o_json.MonedaCod );
            $( "#txt_subtotal" ).val( number_format( o_json.OrdenVenta, 2 ) );
            $( "#txt_impuesto" ).val( number_format( o_json.OrdenImpuesto, 2 ) );
            $( "#txt_total" ).val( number_format( o_json.OrdenNeto, 2 ) );

            $( "#btnEscanearSerie" ).hide();

            if( o_json.OrdenEstado == "F" )
            {
                mostrarMensajeError( "La Orden se encuentra Facturtado." );
                configurarElmPorOrdenFacturada();
                return false;
            }

            if( o_json.escanear_serie )  
            {
                //entonces se muestra el boton para escanear series
                $( "#btnEscanearSerie" ).show();
                //ahora nos aseguramos que tenga cabera en la serie
                mostrarCargaImg();
                executeAjaxJson
                ( 
                    "<?php echo buildUrl( 'pro/request', 'TipoProc=validar_serie' ) ?>", 
                    "id_orden=" + o_json.OrdenId,
                    function( o_tmp_json )
                    {
                        console.log( o_tmp_json );
                        if( o_tmp_json.error )
                        {
                            mostrarMensajeError( o_tmp_json.mensaje_error );
                            return false;
                        }
                    } 
                );
            }
        } 
    );
}

guardarFacturaPorOrden = function()
{
    ///////////////////////////////////////////////////////////////
    //NC
    if( $( "#IdTipoDocumento" ).val() == "NC" )  
    {
        if( !$( '#NaceAnulado' ).is( ":checked" ) )
        {
            alert( "Solo se permite generar Nota de Credito con un estado Anulado." );
            return false;
        }
    }
    ///////////////////////////////////////////////////////////////

    x = confirm( "Esta Seguro de realizar la Facturacion?" );
    if( x )
    {
        //blockContent( 'form1' );
        var strFormSerialize = $( 'form' ).serialize();
        executeAjaxJson
        ( 
            "<?php echo buildUrl( 'pro/saveBillingByOrder' ) ?>", 
            strFormSerialize,
            function( o_json )
            {
                unBlockContent( 'form1' );

                if( o_json.error )
                {
                    mostrarMensajeError( o_json.mensaje_error );
                    return false;
                }

                //aqui se generar los procesos de Facturacion Electronica
                //generarSunatCPE( o_json.id_concat );
                /////////////////////////////////////////////////////////

                configurarElmPorOrdenFacturada();
            }
        );
    }
}

generarSunatCPE = function( id_concat )
{
    var param = "id_concat=" + id_concat;
    executeAjaxJson
    ( 
        "<?php echo buildUrl( 'pro/generateSunatCPE' ) ?>", 
        param,
        function( o_json )
        {
            if( o_json.error )
            {
                unBlockContent( 'form1' );
                mostrarMensajeError( o_json.mensaje_error );
                return false;
            }


        }
    );
}

copiarEnLocalhostSunatCPE = function(){  }

configurarElmPorOrdenFacturada = function()
{
    $( "#txt_orden" ).prop( 'disabled', true );
    $( "#orden_ref" ).prop( 'disabled', true );

    $( "#btn_fnd_orden" ).prop( 'disabled', true );
    $( "#IdTipoDocumento" ).prop( 'disabled', true );
    $( "#DocumentoSerie" ).prop( 'disabled', true );
    $( "#DocumentoNumero" ).prop( 'disabled', true );
    $( "#btnCliente" ).prop( 'disabled', true );
    $( "#btnNvoClie" ).prop( 'disabled', true );
    $( "#ClienteRUC" ).prop( 'disabled', true );
    $( "#ClienteNombre" ).prop( 'disabled', true );
    $( "#sDireccion" ).prop( 'disabled', true );
    $( "#sDistrito" ).prop( 'disabled', true );
    $( "#sDepartamento" ).prop( 'disabled', true );
    $( "#sProvincia" ).prop( 'disabled', true );
    $( "#sPais" ).prop( 'disabled', true );
    $( "#Comentario" ).prop( 'disabled', true );
    $( "#MonedaDocumento" ).prop( 'disabled', true );
    $( "#MonedaCambioValor" ).prop( 'disabled', true );
    
    $( "#btnGuardarFactPorOrden" ).hide();

    //si sale bien, se tiene que desbloquear
    unBlockContent( 'form1' );
}

buscarSaldoFactura = function()
{
	var id_orden = $( "#orden_id" ).val();
    if( id_orden )
    {
    	$( '#myIframe3' ).attr( 'src', '<?=buildUrl( 'pro/fndSaldoFactura' )?>id_orden/' + id_orden + '/id_factura/' );
        $( '#dialog3' ).dialog( 'open' );
    }
    else
    {
        mostrarMensajeError( "No se encontro Documento de referencia." );
    }
}

mostrarLineas = function()
{
    var id_orden = $( "#orden_id" ).val();
    var id_factura = $( "#factura_id" ).val();
    if( id_orden && !id_factura )
    {
        $( '#myIframe4' ).attr( 'src', '<?=buildUrl( 'cot/detailVta', "readonly=1" )?>/i_Id/' + id_orden );
        $( '#dialog4' ).dialog( 'open' );
    }
}

escanearSeriesPorOrden = function()
{
	var id_orden = $( "#orden_id" ).val();
	var no_orden = $( "#txt_orden" ).val();
    if( id_orden && no_orden )
    {
    	$( '#myIframe5' ).attr( 'src', '<?=buildUrl( 'pro/asociarSerie' )?>orden_id/' + id_orden + '/orden_no/' + no_orden );
        $( '#dialog5' ).dialog( 'open' );
    }
}
</script>

<div id="resultContent" style=""></div>
<input type="hidden" name="IdUbigeo" id="IdUbigeo" value="">

<table width="100%" id="content_form">
    <tr>
        <td width="100%" valign="top" >
            <fieldset class="formGen" style="margin-top:0px">
                <table border="0" cellspacing="0" cellpadding="0" style="" width="100%">
                    <tr>
                        <td width="70%">
                            <fieldset class="formGen" style="margin-top:0px">
                                <legend>Transacci&oacute;n</legend>
                                <table border="0" cellspacing="6" cellpadding="0" style="" width="100%">
                                     <tr>
                                        <td nowrap="nowrap" width="8%" class="" style="text-align: right;"><label class="label req" for="IdTipoDocumento" >Clase</label></td>
                                        <td nowrap="nowrap" width="45%">
                                            <select class="combo required" id="IdTipoDocumento" name="IdTipoDocumento" onchange="recuperarInfoVentaSerie();" style="width: 96%;">
                                                <!--<option value=""> - Seleccione - </option>-->
                                                <?php foreach ( $a_VTA_TipoDocumento as $i_Key => $o_VTA_TipoDocumentoBN ){ ?>
                                                <option value="<?=$o_VTA_TipoDocumentoBN->getIdTipoDocumento()?>" <?php if( $o_VTA_DocumentoBN->getIdTipoDocumento()==$o_VTA_TipoDocumentoBN->getIdTipoDocumento() ){ echo "SELECTED"; }?> > <?=$o_VTA_TipoDocumentoBN->getDescripcionLocal() ?> </option>
                                                <?php } ?>
                                            </select>
                                        </td>
                                        
                                        <td nowrap="nowrap" width="5%">&nbsp;</td>
                                        
                                        <td nowrap="nowrap" width="10%" class="" style="text-align: right;"><label class="label req" for="FechaDocumento">Fecha:</label></td>
                                        <td nowrap="nowrap" width="30%">
                                            <input type="text" class="text required text0" name="FechaDocumento" id="FechaDocumento" value="<?=date( "Y-m-d" )?>" style="width:90%; text-align:center; color: #fc6d00; font-size: 12px; font-weight: bold;" readonly/>
                                            <?php if( $b_Control ){ ?> 
                                            <script type="text/javascript">
                                            $( "#FechaDocumento" ).datepicker( { dateFormat: "yy-mm-dd", changeYear:true, yearRange: "-1:+1", changeMonth: true, onClose: function ( s_date ){ this.focus(); $( "#FechaVencimiento" ).val( s_date ); } } );
                                            </script>
                                            <?php } ?>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td nowrap="nowrap" class="" colspan="2" align="left">
                                            <input type="hidden" name="TipoDocumentoCod" id="TipoDocumentoCod" value="">

                                            <label class="label req" for="DocumentoSerie" >Serie :</label>
                                            <input type="text" class="text" name="DocumentoSerie" id="DocumentoSerie" style="width:20%; text-align:center; color: #fc6d00; font-size: 20px; font-weight: bold;" value="<?=$o_VTA_DocumentoBN->getDocumentoSerie()?>" readonly>
                                            &nbsp;
                                            <label class="label req" for="Serie" >N&uacute;mero :</label>
                                            <input type="text" class="text" name="DocumentoNumero" id="DocumentoNumero" style="width:45%; text-align:center; color: #fc6d00; font-size: 20px; font-weight: bold;" value="<?=$o_VTA_DocumentoBN->getDocumentoNumero()?>" readonly>
                                        </td>
                                        
                                        <td nowrap="nowrap" >&nbsp;</td>
                                        
                                        <td nowrap="nowrap" class="" style="text-align: right;"><label class="label req" for="MonedaDocumento" >Moneda:</label></td>
                                        <td nowrap="nowrap">
                                            <select class="combo required" id="MonedaDocumento" name="MonedaDocumento" style="width: 90%;">
                                                <?php foreach ( $a_GSS_MonedaMast as $i_Key => $o_GSS_MonedaMastBN ){ ?>
                                                <option value="<?=$o_GSS_MonedaMastBN->getIdMoneda()?>"> <?=$o_GSS_MonedaMastBN->getDescripcion()?> </option>
                                                <?php } ?>
                                            </select>
                                        </td>
                                    </tr>
                                    <tr>
                                        <!--
                                        <td nowrap="nowrap" class="" style="text-align: right;"><label class="label req" for="txt_orden" >Nro Orden</label></td>
                                        <td nowrap="nowrap" colspan="">
                                            <input type="hidden" name="orden_id" id="orden_id" value="">
                                            <input type="hidden" name="orden_ref" id="orden_ref" value="">

                                            <input type="text" class="text" name="txt_orden" id="txt_orden" value="" style="width: 81%; text-align: center;" onblur="buscarCambiosOrden();">
                                            <input class="ui-button ui-widget ui-corner-all" id="btn_fnd_orden" style="" type="button" value="..." onclick="buscarOrdenVenta();">
                                        </td>
                                        -->
                                        <td nowrap="nowrap" >&nbsp;</td>
                                        <td nowrap="nowrap" >&nbsp;</td>
                                        
                                        <td nowrap="nowrap" >&nbsp;</td>
                                        <!--
                                        <td nowrap="nowrap" class="" style="text-align: right;"> <label class="label req" for="MonedaCambioValor" >Tipo Cambio:</label> </td>
                                        <td nowrap="nowrap" >
                                            <select class="combo" id="MonedaCambioValor" name="MonedaCambioValor">
                                                <?php if( GSS_TipoCambioFN::getStaticTipoCambioCobranza() ){ ?>
                                                    <option value="<?=GSS_TipoCambioFN::getStaticTipoCambioCobranza()?>"> COBRANZA - <?=GSS_TipoCambioFN::getStaticTipoCambioCobranza()?> </option>
                                                <?php } ?>
                                            </select>
                                        </td>
                                        -->
                                    </tr>
                                    <tr>
                                        <td nowrap="nowrap" class="" style="text-align: right;"><label class="label req"  >Entidad Legal:</label></td>
                                        <td nowrap="nowrap" ><input type="text" class="text text0" readonly="" value="<?=GSS_CompaniaFN::buscarCompania( myUser::getUser()->getIdBusiness() )->getDescripcionCorta() ?>" style="width: 95%"></td>
                                        <td nowrap="nowrap" >&nbsp;</td>
                                        <!--
                                            nace anulado, se tiene que configurar cuando lo solicitan.
                                        <td nowrap="nowrap" class=""> <label class="label req" for="NaceAnulado" >Anulado</label> </td>
                                        <td nowrap="nowrap" > <input type="checkbox" name="NaceAnulado" id="NaceAnulado"> </td>
                                        -->
                                        
                                        <?php if( $o_VTA_DocumentoBN->b_ControlCaja ){ ?>
                                        <td nowrap="nowrap" class="" style="text-align: right;"> <label class="label req" for="NaceAnulado" >Caja:</label> </td>
                                        <td nowrap="nowrap" >
                                            <input type="hidden" name="IdCajaSelect"  value="<?=$o_VTA_DocumentoBN->IdCajaSelect?>">
                                            <input type="hidden" name="IdTurnoSelect" value="<?=$o_VTA_DocumentoBN->IdTurnoSelect?>">
                                            <label style="font-weight: bold;"><?=$o_VTA_DocumentoBN->DesCajaSelect?> - <?=$o_VTA_DocumentoBN->DescTurnoSelect?> </label>
                                        </td>
                                            <?php }else{ ?>
                                        <td nowrap="nowrap" class="" style="text-align: right;"> <label class="label req" for="NaceAnulado" >Aperturar Caja:</label> </td>
                                        <td nowrap="nowrap" >
                                            <input type="button" class="ui-button ui-corner-all ui-widget" value="..." id="" onclick="aperturarCaja();">
                                        </td>
<script type="text/javascript">
aperturarCaja = function()
{
    $( '#myIframe6' ).attr( 'src', '<?=buildUrlComplet( 'pro.php/caja/aperturarCaja' )?>' );
    $( '#dialog6' ).dialog( 'open' );
}
recargarPagina = function()
{
    location.reload();
}
cerrarPopupBootstrap = function()
{
    $( '#dialog6' ).dialog( 'close' );
}
</script>
                                        <?php } ?>
                                        
                                    </tr>
                                </table>
                            </fieldset>
                        </td>
                        <td valign="top">
                            <fieldset class="formGen" style="margin-top:0px">
                                <legend>Saldo Debido</legend>
                                <table border="0" cellspacing="6" cellpadding="0" style="" width="100%" id="content_saldo">
                                    <tr>
                                        <td width="40%" style="text-align: right;"><label class="label req" >L&iacute;nea </label></td>
                                        <td><input type="text" class="text text0" readonly="" value="" style="width: 99%" id="txt_subtotal"></td>
                                    </tr>
                                    <tr>
                                        <td style="text-align: right;"><label class="label req" > Impuesto </label></td>
                                        <td><input type="text" class="text text0" readonly="" value="" style="width: 99%" id="txt_impuesto"></td>
                                    </tr>
                                    <tr>
                                        <td style="text-align: right;"><label class="label req" > Total </label></td>
                                        <td><input type="text" class="text text0" readonly="" value="" style="width: 99%" id="txt_total"></td>
                                    </tr>
                                    <tr>
                                        <td style="text-align: center;"><input class="ui-button ui-widget ui-corner-all" style="" type="button" value="Detalles" onclick="buscarSaldoFactura();"></td>
                                        <td style="text-align: center;"><input class="ui-button ui-widget ui-corner-all" style="" type="button" value="Refrescar" onclick=""></td>
                                    </tr>
                                </table>
                            </fieldset>
                        </td>
                    </tr>
                </table>
<script>
activarOnoBusquedaCliente = function( elm )
{
    if ( $( elm ).is( ':checked' ) )
    {
        $( "#find_numero" ).val( "" );
        $( "#content_div_find_clie" ).show();
        $( "#find_numero" ).focus();
    }
    else
    {
        $( "#find_numero" ).val( "" );
        $( "#content_div_find_clie" ).hide();
    }
}
buscarEnApi = function()
{
    var txt = trim( $( "#find_numero" ).val() );
    var str_serialize = "TipoProc=buscar_api_cliente&txt=" + txt 
    $( '#load_img_find_clie' ).show();

    executeAjaxJson
    ( 
        "<?php echo buildUrl( 'pro/request' ) ?>", 
        str_serialize,
        function( o_json )
        {
            $( '#load_img_find_clie' ).hide();
            if( o_json.error )
            {
                mostrarMensajeError( o_json.mensaje_error );
                return false;
            }
            $( "#ClienteNumero" ).val( o_json.id_cliente );
            buscarInfoCliente();
        } 
    );
}
</script>
                <div id="tabs" style="width: 99%; margin-top: 10px; font-family: Geneva,Arial,Helvetica,sans-serif;">
                    <ul>
                        <li><a href="#tabs-1">Principal</a></li>
                        <!-- 
                        <li><a href="#tabs-2">Despacho</a></li>
                        <li><a href="#tabs-3">Forma de Pago</a></li>
                         -->
                    </ul>
                    <div id="tabs-1">
                        <table border="0" cellspacing="6" cellpadding="0" style=""  width="100%">
                            <tr>
                                <td colspan="2">
                                    <fieldset>
                                        <legend>Buscar - Extraer Cliente</legend>
                                        <table border="0" cellspacing="0" cellpadding="0" style=""  width="100%">
                                            <tr>
                                                <td>
                                                    <input type="checkbox" id="get_cliente" name="get_cliente" value="ok" onclick="activarOnoBusquedaCliente(this);">
                                                </td>
                                                <td>
                                                    <div style="display: none;" id="content_div_find_clie">
                                                        <table border="0" cellspacing="0" cellpadding="0" style=""  width="">
                                                            <tr>
                                                                <td>
                                                                    <label><b>Número (RUC, DNI)</b></label>
                                                                </td>
                                                                <td>
                                                                    <input type="text" id="find_numero" onfocus="this.select()"
                                                                            name="find_numero" value="" class="text" maxlength="11" 
                                                                            onkeypress="return NumCheckDecimal( event, this );"
                                                                            style="text-align: center;">
                                                                    <script>
                                                                    $( "#find_numero" ).keypress
                                                                    ( 
                                                                        function( e ) 
                                                                        {
                                                                            console.log( e.which );
                                                                            if( e.which == 0 ){ return true; }
                                                                            if( e.which == 8 ){ return true; }
                                                                            if( e.which == 13 ) { buscarEnApi(); return false; }
                                                                            /*var regex = new RegExp( "^[a-zA-Z0-9]+$" );
                                                                            var str = String.fromCharCode( !e.charCode ? e.which : e.charCode );
                                                                            if ( regex.test( str ) ) { return true; }*/
                                                                            //return false;
                                                                        }
                                                                    );
                                                                    </script>
                                                                    <input type="button" id="button" class="ui-button ui-corner-all ui-widget" onclick="buscarEnApi();" value="BUSCAR">
                                                                </td>
                                                                <td>
                                                                    <div id="load_img_find_clie" style="display: none;"><img src="<?=Constantes::ROOT_DIR_IMG?>common/progress.gif" border="0"/>&nbsp;<label class="laber req">Buscando...</label></div>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </div>
                                                </td>
                                            </tr>
                                        </table>
                                    </fieldset>

                                </td>
                                <td>&nbsp;</td>
                                <td>&nbsp;</td>
                                <td>&nbsp;</td>
                            </tr>
                            <tr>
                                <td nowrap="nowrap" class="" width="8%"><label class="label req" for="ClienteNumero" >Cliente :</label></td>
                                <td nowrap="nowrap" width="45%">
                                    <input type="hidden" name="ClienteNumero" id="ClienteNumero" value="">
                                    <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                        <tr>
                                            <td width="20%">
                                                <input type="text" class="text" id="ClienteRUC" 
                                                        name="ClienteRUC" 
                                                        value=""  
                                                        onblur="buscarInfoxNumDocumento( this.value )" onfocus="this.select();"
                                                        style="width:100%; text-align:center;">
                                            </td>
                                            <td width="5%">
                                                &nbsp;
                                                <input type="text" class="text" id="ClienteTipoDoc" name="ClienteTipoDoc" value="" style="width: 100%;text-align: center;" readonly="">
                                            </td>
                                            <td width="50%">
                                                &nbsp;&nbsp;&nbsp;
                                                <input class="text required" type="text" name="ClienteNombre" id="ClienteNombre" value="" style="width:100%" onfocus="this.select();"/></td>
                                            <td width="5%">
                                                
                                                <input type="button" class="ui-button ui-corner-all ui-widget" value="..." id="btnCliente">
                                            </td>
                                            <td width="5%">
                                                <!--<input type="button" value="..." class="button" id="btnClienteNuevo" style="background: url('<?=Constantes::ROOT_DIR_IMG?>common/buttons/btnSave.gif') no-repeat;">-->
                                                
                                                <button type="button" class="button" id="btnNvoClie">
                                                    <?=addImgButton( "btnSave.gif" );?>
                                                </button>
                                                <script type="text/javascript">
                                                $( "#btnNvoClie" ).click
                                                (
                                                    function()
                                                    {
                                                        $( '#myIframe2' ).attr( 'src', '<?=buildUrl( 'pro/addeditclie', 's_TipoProc=nvo' )?>' );
                                                        $( '#dialog2' ).dialog( 'open' );
                                                    }
                                                );
                                                </script>
                                                
                                            </td>
                                        </tr>
                                    </table>
                                    <script>
                                    $( "#ClienteNombre" ).autocomplete
                                    (
                                        {
                                            source: "<?=buildUrl( 'pro/request', "TipoProc=Autocomplete" )?>",
                                            minLength: 2,
                                            select: function( event, ui ) 
                                            {
                                                console.log( ui.item.id );
                                                $( "#ClienteNumero" ).val( ui.item.id );
                                                buscarInfoCliente();
                                            }
                                        }
                                    );
                                    $( "#btnCliente" ).click
                                    (
                                        function()
                                        {
                                            $( '#myIframe' ).attr( 'src', '<?=buildUrl( 'pro/clie', '' )?>' );
                                            $( '#dialog' ).dialog( 'open' );
                                        }
                                    );
                                    </script>
                                    <script>
                                    asignarValores = function( Id, Nombre, Documento )
                                    {
                                        $( "#ClienteNumero" ).val( Id );
                                        $( "#ClienteNombre" ).val( Nombre );
                                        //$( "#ClienteRUC" ).val( Documento );
                                        $( '#dialog' ).dialog( 'close' );
                                        $( '#dialog2' ).dialog( 'close' );
                                        buscarInfoCliente();
                                    }
                                    limpiarValores = function()
                                    {
                                        //LIMPIAR
                                        $( "#ClienteNombre" ).val( "" );
                                        $( "#ClienteRUC" ).val( "" );
                                        $( "#sDireccion" ).val( "" );
                                        $( "#sDepartamento" ).val( "" );
                                        $( "#sProvincia" ).val( "" );
                                        $( "#sDistrito" ).val( "" );
                                        $( "#sPais" ).val( "PERU" );
                                        $( "#ClienteTipoDoc" ).val( "" );
                                    }
                                    buscarInfoCliente = function()
                                    {
                                        limpiarValores();
                                        /////////
                                        mostrarCargaImg();
                                        var IdPersona = $( "#ClienteNumero" ).val();
                                        var IdTipoDocumento = $( "#IdTipoDocumento" ).val();
                                        if( IdTipoDocumento == "" )
                                        {
                                            ocultarCargaImg();
                                            mostrarMensajeError( "Por favor seleccione el Tipo de Comprobante." );
                                            return false;
                                        }
                                        var strFormSerialize = "TipoProc=getClienteInfo&IdPersona=" + IdPersona + "&IdTipoDocumento=" + IdTipoDocumento;
                                        executeAjaxJson
                                        ( 
                                            "<?php echo buildUrl( 'pro/request', "" ) ?>", 
                                            strFormSerialize,
                                            function( o_json )
                                            {
                                                console.log( o_json );
                                                ocultarCargaImg();
                                                if( o_json.error )
                                                {
                                                    mostrarMensajeError( o_json.mensaje_error );
                                                    return false;
                                                }
                                                $( "#ClienteNombre" ).val( o_json.Nombre );
                                                $( "#ClienteRUC" ).val( o_json.Documento );
                                                $( "#ClienteTipoDoc" ).val( o_json.TipoDocumento );
                                                $( "#sDireccion" ).val( o_json.Direccion );
                                                $( "#sDepartamento" ).val( o_json.DepartamentoDesc );
                                                $( "#sProvincia" ).val( o_json.ProvinciaDesc );
                                                $( "#sDistrito" ).val( o_json.DistritoDesc );
                                                $( "#IdUbigeo" ).val( o_json.IdUbigeo );
                                                $( "#cboCanal" ).val( o_json.CanalCliente );
                                                $( "#sPais" ).val( "PERU" );
                                                //$( "#IdVendedor" ).val( o_json.UsuarioVendedor ); //se quito por el hotel 2020-01-22
                                                $( "#IdVendedor" ).val( "<?=myUser::getUser()->getUserId()?>" );
                                            } 
                                        );
                                    }
                                    </script>
                                </td>
                                
                                <td nowrap="nowrap" width="5%">&nbsp;</td>
                                
                                <td nowrap="nowrap" width="15%" class=""><label class="label req" for="FechaVencimiento">Vencimiento :</label></td>
                                <td nowrap="nowrap" width="25%">
                                    <input type="text" readonly  class="text text0 " name="FechaVencimiento" id="FechaVencimiento" value="<?=date( "Y-m-d" )?>" style="text-align:center; width:70%;" />
                                </td>
                            </tr>
                            
                            <tr>
                                <td nowrap="nowrap" align=""><label class="label req" for="Comentario" >Direcci&oacute;n :</label></td>
                                <td nowrap="nowrap">
                                    <table cellpadding="0" cellspacing="0" border="0" width="100%">
                                        <tr>
                                            <td style="width: 60%;">
                                                <textarea class="" name="sDireccion" id="sDireccion" rows="1" style="width: 95%"></textarea>
                                                <br><label style="color:DarkGrey;">Direcci&oacute;n</label>
                                            </td>
                                            <td style="width: 35%;">
                                                <input type="text" class="text" name="sDistrito" id="sDistrito" value="" style="width: 95%;" /><br>
                                                <label style="color:DarkGrey;">Distrito</label>
                                            </td>                             
                                        </tr>
                                    </table>
                                    <table cellpadding="0" cellspacing="0" border="0" width="100%">
                                        <tr>
                                            <td>
                                                <input type="text" readonly class="text" name="sDepartamento" id="sDepartamento" value="" /><br>
                                                <label style="color:DarkGrey;">Departamento</label>
                                            </td>
                                            <td>
                                                <input type="text" readonly class="text" name="sProvincia" id="sProvincia" value="" /><br>
                                                <label style="color:DarkGrey;">Provincia</label>
                                            </td>
                                            <td>
                                                <input type="text" readonly class="text" name="sPais" id="sPais" value="" /><br>
                                                <label style="color:DarkGrey;">Pa&iacute;s</label>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                                
                                <td nowrap="nowrap" >&nbsp;</td>
                                
                                <td nowrap="nowrap" class="" colspan="3" align="center">
                                    <table cellpadding="6" cellspacing="0" border="0" width="100%">
                                        
                                        <tr> <td colspan="2"> &nbsp; </td> </tr>
                                        <tr>
                                            <td nowrap="nowrap" class="" width="36%"><label class="label req" for="IdVendedor">Vendedor :</label></td>
                                            <td width="">
                                                <select class="combo required" id="IdVendedor" name="IdVendedor">
                                                    <option value=""> - Seleccione - </option>
                                                    <?php foreach ( VTA_VendedorFN::select_all() as $a_Vendedor ) { ?>
                                                    <option value="<?=$a_Vendedor['IdUsuario']?>" <?php if( MST_PersonaMastFN::buscarPersonaPorIdUsuario( myUser::getUser()->getUserId() )->getIdPersona() == $a_Vendedor['IdPersona'] ){ echo "SELECTED"; } ?> > <?=$a_Vendedor['NombreCompleto']?> </option>
                                                    <?php } ?>
                                                </select>
                                            </td>
                                        </tr>
                                        
                                    </table>
                                </td>
                            </tr>

                            <tr>
                                <td nowrap="nowrap" class=""><label class="label req" for="Comentario" >Comentario</label></td>
                                <td nowrap="nowrap" >
                                    <textarea class=""  name="Comentario" id="Comentario" style="width:99%" rows="2"></textarea>
                                </td>
                                 
                                <td nowrap="nowrap">&nbsp;</td>
                                 
                                <td nowrap="nowrap" class=""><label class="label req" for="TipoVenta" >Tipo de Factura :</label></td>
                                <td nowrap="nowrap">
                                    <select class="combo required" id="TipoVenta" name="TipoVenta">
                                        <option value="MER"> NORMAL </option>
                                        <option value="TTG"> TRANSFERENCIA A TITULO GRATUITO </option>
                                    </select>
                                </td>
                            </tr>
                            <tr>
                                <td>&nbsp;</td>
                                <td>&nbsp;</td>
                                <td>&nbsp;</td>
                                <td nowrap="nowrap" class="">&nbsp;</td>
                                <td nowrap="nowrap">&nbsp;</td>
                            </tr>
                        </table>

                    </div>
                    <!-- 
                    <div id="tabs-2">
                        <p>Morbi tincidunt, dui sit amet facilisis feugiat, odio metus gravida ante, ut pharetra massa metus id nunc. Duis scelerisque molestie turpis. Sed fringilla, massa eget luctus malesuada, metus eros molestie lectus, ut tempus eros massa ut dolor. Aenean aliquet fringilla sem. Suspendisse sed ligula in ligula suscipit aliquam. Praesent in eros vestibulum mi adipiscing adipiscing. Morbi facilisis. Curabitur ornare consequat nunc. Aenean vel metus. Ut posuere viverra nulla. Aliquam erat volutpat. Pellentesque convallis. Maecenas feugiat, tellus pellentesque pretium posuere, felis lorem euismod felis, eu ornare leo nisi vel felis. Mauris consectetur tortor et purus.</p>
                    </div>
                    <div id="tabs-3">
                        <p>Mauris eleifend est et turpis. Duis id erat. Suspendisse potenti. Aliquam vulputate, pede vel vehicula accumsan, mi neque rutrum erat, eu congue orci lorem eget lorem. Vestibulum non ante. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Fusce sodales. Quisque eu urna vel enim commodo pellentesque. Praesent eu risus hendrerit ligula tempus pretium. Curabitur lorem enim, pretium nec, feugiat nec, luctus a, lacus.</p>
                        <p>Duis cursus. Maecenas ligula eros, blandit nec, pharetra at, semper at, magna. Nullam ac lacus. Nulla facilisi. Praesent viverra justo vitae neque. Praesent blandit adipiscing velit. Suspendisse potenti. Donec mattis, pede vel pharetra blandit, magna ligula faucibus eros, id euismod lacus dolor eget odio. Nam scelerisque. Donec non libero sed nulla mattis commodo. Ut sagittis. Donec nisi lectus, feugiat porttitor, tempor ac, tempor vitae, pede. Aenean vehicula velit eu tellus interdum rutrum. Maecenas commodo. Pellentesque nec elit. Fusce in lacus. Vivamus a libero vitae lectus hendrerit hendrerit.</p>
                    </div>
                    -->
                </div>
<script>
$( function() 
{
    var tabs = $( "#tabs" ).tabs();
    tabs.find( ".ui-tabs-nav" ).sortable
    (
        {
            axis: "x",
            stop: function() 
            {
                tabs.tabs( "refresh" );
            }
        }
    );
} );
</script>
                
                    

                
            </fieldset>
        </td>
    </tr>
</table>

<script>
var b_ControlBuscarSerie = true;
recuperarInfoVentaSerie = function()
{
    if( b_ControlBuscarSerie )
    {
    	limpiarValores();

        regresarValoresPorDefault();

        var value = $( "#IdTipoDocumento" ).val();
        executeAjaxJson
        ( 
            '<?php echo buildUrl( 'pro/request' ) ?>', 
            'TipoProc=getSerieNumero&IdTipoDocumento=' + value, 
            function( o_json )
            {
                console.log( o_json );
                if( o_json.error )
                {
                    alert( o_json.mensaje_error );
                    location.href='<?php echo buildUrl( 'pro/list' ) ?>';
                    return false;
                }
                if( o_json.Result )
                {
                    $( "#DocumentoSerie" ).val( o_json.Serie );
                    $( "#DocumentoNumero" ).val( o_json.Numero );

                    $( "#FechaDocumento" ).prop( 'readonly', false );
                    
                    <?php if( $b_Control ){ ?> 
                    $( "#FechaDocumento" ).datepicker( { dateFormat: "yy-mm-dd", changeYear:true, yearRange: "-1:+1", changeMonth: true, onClose: function ( s_date ){ this.focus(); $( "#FechaVencimiento" ).val( s_date ); } } );
                    <?php } ?>
                    
                    if( o_json.IdTipoDocumento == "TB" || o_json.IdTipoDocumento == "TF" )
                    {
                    	var now = new Date();
                    	var day   = ( "0" + now.getDate()).slice( -2 );
                    	var month = ( "0" + ( now.getMonth() + 1 ) ).slice( -2 );

                    	var today = now.getFullYear() + "-" + ( month ) + "-" + ( day ) ;
                    	
                    	$( "#FechaDocumento" ).val( today );
                    	$( "#FechaVencimiento" ).val( today );
                        $( "#FechaDocumento" ).prop( 'readonly', true );

                        $( "#FechaDocumento" ).datepicker( "destroy" );
                    }

                    $( "#TipoDocumentoCod" ).val( o_json.TipoDocumentoCod );

                    //$( "#ClienteRUC" ).focus();
                    $( "#txt_orden" ).focus();
                }
            }
        );
    }        
}
buscarInfoxNumDocumento = function( value )
{
	mostrarCargaImg();
	var idtipodocumento = $( "#IdTipoDocumento" ).val();
    executeAjaxJson
    ( 
        '<?php echo buildUrl( 'pro/request' ) ?>', 
        'TipoProc=getInfoCliexNumDoc&IdTipoDocumento=' + idtipodocumento + "&NumDniRuc=" + value, 
        function( o_json )
        {
            console.log( o_json );
            ocultarCargaImg();
            if( o_json.Result )
            {
            	$( "#ClienteNumero" ).val( o_json.idpersona );
                buscarInfoCliente();
            }
            else
            {
            	limpiarValores();
            }
        }
    );
}
</script>

<?=crearFuentePopupIframe( array( "div_id"=>"dialog", "iframe_id"=>"myIframe", "popup_title"=>"Buscar Cliente", "popup_width"=>"530", "popup_height"=>"350", "modal" => true ) )?>

<?=crearFuentePopupIframe( array( "div_id"=>"dialog2", "iframe_id"=>"myIframe2", "popup_title"=>"Cliente", "modal" => true ) )?>

<?=crearFuentePopupIframe( array( "div_id"=>"dialog3", "iframe_id"=>"myIframe3", "popup_title" => "Saldos", "modal" => true ) )?>
<?=crearFuentePopupIframe( array( "div_id"=>"dialog4", "iframe_id"=>"myIframe4", "popup_title" => "Líneas", "modal" => true ) )?>
<?=crearFuentePopupIframe( array( "div_id"=>"dialog5", "iframe_id"=>"myIframe5", "popup_title" => "Escanear Serie", "modal" => true ) )?>
<?=crearFuentePopupIframe( array( "div_id"=>"dialog6", "iframe_id"=>"myIframe6", "popup_title" => "Aperturar Caja", "modal" => true ) )?>

<script>
$.validator.setDefaults
(
    {
        submitHandler: function( form ) 
        {
            ejecutarGuardar();
        }
    }
);
$( "#form1" ).validate();
<?php if( $b_Control ){ ?>
//recuperarInfoVentaSerie();
<?php }else{ ?>
b_ControlBuscarSerie = false;
//$( '#IdTipoDocumento' ).attr( "disabled", true );
$( "#IdTipoDocumento" ).click( function(e) {
	$( "#IdTipoDocumento" ).val( '<?=$o_VTA_DocumentoBN->getIdTipoDocumento()?>' );
    //$( $( this ).data( "default" ) ).prop( "selected", true );
});
$( "#MonedaDocumento" ).change( function(e) {
    $( $( this ).data( "default" ) ).prop( "selected", true );
});
$( '#FechaDocumento' ).attr( 'readonly', true );
<?php } ?>
</script>

<script>
$( "#txt_orden" ).keypress
( 
    function( e ) 
    {
        //console.log( e.which );
        if( e.which == 32 ){ return false; }
        //if( e.which == 8 ){ return true; }
        if( e.which == 13 ) 
        {
        	buscarOrdenVenta();
            return false;
        }
        /*var regex = new RegExp( "^[a-zA-Z0-9]+$" );
        var str = String.fromCharCode( !e.charCode ? e.which : e.charCode );
        if ( regex.test( str ) ) 
        {
            return true;
        }*/
        //e.preventDefault();
        return true;
    }
);
//ESCAPE, DETECTA EL F5, CTRL+F5
/*$( document ).bind
(
    'keyup', 
    function( e ) 
    {
        pr( e.which );
        if( e.which === 116 ) { }
        if( e.which === 82 && e.ctrlKey ) { }
        if( e.which === 119 ) { }
        if( e.which === 107 ){ iniciarBuscarItem(); } // tecla +
        if( e.which === 27 ) //ESCAPE
        {
            //$( "#content_nvo" ).html( "" );
            executeFindDetail();
        }
    }
);*/

$( "#IdTipoDocumento" ).trigger( "change" );
setTimeout
(
    function()
    {
        $( "#ClienteNombre" ).focus();
    },
    700
);

</script>